## encryptpad 0.4.0.2

=== back_end_src/Makefile ===
CRYPT_ROOT = ..
ifneq ($(USE_SYSTEM_LIBS),on)
	BOTAN = -I$(CRYPT_ROOT)/deps/botan/build/include
else
	BOTAN = $(shell pkg-config --cflags botan-2)
endif
LIBRARIES := ../deps/state_machine ../deps/stlplus/portability ../deps/stlplus/containers ../deps/libencryptmsg/deps/botan_1_openpgp_codec
CXXFLAGS += -ggdb -Wall -Wextra
LDFLAGS += -Wall

CXXFLAGS += $(BOTAN) -I../deps/libencryptmsg/include -I../deps/plog/include -std=c++11
CXXFLAGS += -D_FILE_OFFSET_BITS=64
include ../deps/makefiles/gcc.mak

=== build/Makefile ===
all:: back_end cli
	$(MAKE) -f Makefile.qt_ui RELEASE=$(RELEASE) USE_SYSTEM_LIBS=$(USE_SYSTEM_LIBS) LOCALIZATION=$(LOCALIZATION)
back_end::
	$(MAKE) -f Makefile.back_end RELEASE=$(RELEASE) USE_SYSTEM_LIBS=$(USE_SYSTEM_LIBS)
cli:
	$(MAKE) -f Makefile.cli RELEASE=$(RELEASE) USE_SYSTEM_LIBS=$(USE_SYSTEM_LIBS)
clean::
	$(MAKE) -f Makefile.qt_ui clean
	$(MAKE) -f Makefile.cli clean RELEASE=$(RELEASE)
	$(MAKE) -f Makefile.back_end clean RELEASE=$(RELEASE)

=== cli/Makefile ===
include ../deps/makefiles/platform.mak

LIBRARIES += ../back_end_src ../deps/state_machine ../deps/libencryptmsg/deps/botan_1_openpgp_codec ../deps/stlplus/subsystems ../deps/stlplus/containers ../deps/stlplus/portability

ifneq ($(RELEASE),on)
CXXFLAGS += -ggdb
endif

ifeq ($(WINDOWS),on)
LDFLAGS += -static
endif

ifeq ($(WINDOWS),on)
LDFLAGS += -lgdi32 -lkernel32 -luser32
BOTANLIBFILE = ../deps/botan/botan.lib -fstack-protector
else
BOTANLIBFILE = ../deps/botan/libbotan-2.a -lm
LIBDL = -ldl
endif

CXXFLAGS += -Wall -Wextra
LDFLAGS += -Wall
LDLIBS += ../deps/libencryptmsg/src/$(SUBDIR)/libsrc.a

CXXFLAGS += -I../deps/libencryptmsg/include -I../deps/libencryptmsg/deps/plog/include

ifneq ($(USE_SYSTEM_LIBS),on)
LDLIBS += $(BOTANLIBFILE) ../deps/zlib/libz.a -lpthread $(LIBDL)
CXXFLAGS += -I../deps/botan/build/include -I../deps/zlib -pthread -std=c++11
else
BOTANLIB := $(shell pkg-config --libs botan-2)
BOTANCXX := $(shell pkg-config --cflags botan-2)
LDLIBS += $(BOTANLIB) -lz -lpthread
CXXFLAGS += $(BOTANCXX) -pthread -std=c++11
endif

CXXFLAGS += -D_FILE_OFFSET_BITS=64

ifeq ($(PLATFORM),MACOS)
LDLIBS += -framework Security
endif

ifeq ($(RELEASE),on)
TARGETDIR := ../../bin/release
else
TARGETDIR := ../../bin/debug
endif

IMAGENAME := $(TARGETDIR)/encryptcli
include ../deps/makefiles/gcc.mak

=== tests/Makefile ===
include ../deps/makefiles/platform.mak

LIBRARIES += ../back_end_src ../deps/libencryptmsg/src ../deps/state_machine ../deps/libencryptmsg/deps/botan_1_openpgp_codec

ifeq ($(PLATFORM),MACOS)
LDFLAGS += -all_load
else
LDFLAGS += -Wl,--whole-archive
LDLIBS += -Wl,--no-whole-archive
#-dl
endif

ifeq ($(RELEASE),on)
CXXFLAGS += -ggdb
endif

CXXFLAGS += -I../deps/libencryptmsg/include
CXXFLAGS += -I../deps/libencryptmsg/deps/plog/include

LDLIBS += ../deps/gtest/googletest/build/libgtest.a ../deps/stlplus/portability/$(SUBDIR)/libportability.a -lpthread
CXXFLAGS += -I../deps/gtest/googletest/include -pthread -std=c++11 -Wall -Wextra

ifeq ($(WINDOWS),on)
LDFLAGS += -lgdi32 -lkernel32 -luser32
BOTANLIBFILE = ../deps/botan/botan.lib -fstack-protector
else
BOTANLIBFILE = ../deps/botan/libbotan-2.a -lm
LIBDL = -ldl
endif

ifneq ($(USE_SYSTEM_LIBS),on)
LDLIBS += $(BOTANLIBFILE) ../deps/zlib/libz.a -lpthread $(LIBDL)
CXXFLAGS += -I../deps/botan/build/include -I../deps/zlib -pthread -std=c++11
else
BOTANLIB := $(shell pkg-config --libs botan-2)
BOTANCXX := $(shell pkg-config --cflags botan-2)
LDLIBS += $(BOTANLIB) -lz
CXXFLAGS += $(BOTANCXX)
endif

LDFLAGS += -Wall

ifeq ($(RELEASE),on)
TARGETDIR := ../../bin/release
else
TARGETDIR := ../../bin/debug
endif

IMAGENAME := $(TARGETDIR)/encrypt_pad_tests
include ../deps/makefiles/gcc.mak

=== deps/libencryptmsg/Makefile ===
.PHONY: src tests cli gtest symlinks clean-symlinks

include ../../deps/makefiles/platform.mak


all: src cli
gtest:
	$(MAKE) -C tests -f Makefile.gtest RELEASE=$(RELEASE)

tests: gtest cli src
	$(MAKE) -C tests RELEASE=$(RELEASE)
	$(MAKE) -C test_assets RELEASE=$(RELEASE)

cli: src
	$(MAKE) -C cli RELEASE=$(RELEASE)

lib: src

src: symlinks
	$(MAKE) -C src RELEASE=$(RELEASE) BOTAN_CXXFLAGS=$(BOTAN_CXXFLAGS) OVERRIDE_BOTAN_FLAGS=$(OVERRIDE_BOTAN_FLAGS)
	$(MAKE) -C deps/state_machine RELEASE=$(RELEASE) TRACE_STATE_MACHINE=$(TRACE_STATE_MACHINE)

clean:
	$(MAKE) -C tests -f Makefile.gtest clean RELEASE=$(RELEASE)
	$(MAKE) -C tests clean RELEASE=$(RELEASE)
	$(MAKE) -C cli clean RELEASE=$(RELEASE)
	$(MAKE) -C src clean RELEASE=$(RELEASE)
	$(MAKE) -C deps/state_machine clean RELEASE=$(RELEASE)
	$(MAKE) -C deps/botan_1_openpgp_codec clean RELEASE=$(RELEASE)
	$(MAKE) -C test_assets clean RELEASE=$(RELEASE)

=== deps/state_machine/Makefile ===
# Uncomment to add libraries
DEPS = ..
LIBRARIES += $(DEPS)/stlplus/containers
CXXFLAGS += -ggdb -std=c++11 -Wall -Wextra
CXXFLAGS += -I$(DEPS)/plog/include
ifeq ($(TRACE_STATE_MACHINE),on)
    CXXFLAGS += -DTRACE_STATE_MACHINE
endif
LDFLAGS += -Wall
include $(DEPS)/makefiles/gcc.mak

=== deps/libencryptmsg/cli/Makefile ===
#include ../deps/makefiles/platform.mak

LIBRARIES += ../src ../deps/state_machine ../deps/stlplus/subsystems ../deps/stlplus/containers ../deps/stlplus/portability

ifeq ($(RELEASE),on)
CXXFLAGS += -ggdb
endif

BOTANLIB := $(shell pkg-config --libs botan-2)
BOTANCXX := $(shell pkg-config --cflags botan-2)
CXXFLAGS += -Wall -Wextra -std=c++11 $(BOTANCXX)
CXXFLAGS += -I../include/encryptmsg -I../deps/plog/include
LDFLAGS += -Wall
LDLIBS += -lm $(BOTANLIB)

#ifeq ($(RELEASE),on)
#TARGETDIR := ../../bin/release
#else
#TARGETDIR := ../../bin/debug
#endif

BINDIR := ../bin
BINFORM := variant
IMAGENAME := encryptmsg
#IMAGENAME := $(TARGETDIR)/encryptmsg
include ../deps/makefiles/gcc.mak

=== deps/libencryptmsg/shared/Makefile ===
LIBRARIES += ../src ../deps/stlplus/subsystems ../deps/stlplus/containers ../deps/stlplus/portability

LDFLAGS += -Wall
LOADLIBES += -lm -lbotan-2

ifeq ($(RELEASE),on)
TARGETDIR := ../../bin/release
else
TARGETDIR := ../../bin/debug
endif

SHARED := encryptmsg
include ../deps/makefiles/gcc.mak

=== deps/libencryptmsg/src/Makefile ===
include ../deps/makefiles/platform.mak
# Uncomment to add libraries
LIBRARIES += ../deps/state_machine ../deps/stlplus/containers ../deps/botan_1_openpgp_codec
CXXFLAGS += -ggdb -std=c++11 -Wall -Wextra

CXXFLAGS += -I./ -I../include/encryptmsg -I../deps/plog/include $(BOTAN_CXXFLAGS)
ifneq ($(OVERRIDE_BOTAN_FLAGS),on)
CXXFLAGS += $(shell pkg-config --cflags botan-2)
endif

LDFLAGS += -Wall
include ../deps/makefiles/gcc.mak

=== deps/libencryptmsg/test_assets/Makefile ===

ifeq ($(RELEASE),on)
TARGETDIR := ../bin/release
else
TARGETDIR := ../bin/debug
endif

FILES := $(wildcard *.gpg)
FILES += $(wildcard *.txt)

TARGETFILES := $(patsubst %,$(TARGETDIR)/%,$(FILES))

.PHONY: all build clean FORCE

all:: build

build:: $(TARGETFILES)

$(TARGETDIR)/% : %
	cp "$<" "$@"

clean::
	rm -f $(TARGETFILES)

=== deps/libencryptmsg/tests/Makefile ===
include ../deps/makefiles/platform.mak

LIBRARIES += ../src ../deps/state_machine
LDFLAGS += -Wl,--whole-archive
LDLIBS += -Wl,--no-whole-archive

ifeq ($(RELEASE),on)
CXXFLAGS += -ggdb
endif

BOTANLIB := $(shell pkg-config --libs botan-2)
BOTANCXX := $(shell pkg-config --cflags botan-2)
LDLIBS += ../deps/gtest/googletest/build/libgtest.a $(BOTANLIB) -lpthread -lm
CXXFLAGS += -I../deps/gtest/googletest/include -pthread -std=c++11 -Wall -Wextra
CXXFLAGS += -I../include/encryptmsg -I../include/internal -I../deps/stlplus/containers -I../deps/plog/include $(BOTANCXX)

LDFLAGS += -Wall

ifeq ($(RELEASE),on)
TARGETDIR := ../../bin/release
else
TARGETDIR := ../../bin/debug
endif

IMAGENAME := $(TARGETDIR)/encryptmsg-tests
include ../deps/makefiles/gcc.mak

=== deps/plog/samples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

macro(checkObjCXX)
    file(WRITE "${CMAKE_BINARY_DIR}/CMakeFiles/dummy.mm" "int main(){return 0;}\n")
    execute_process(
      WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/CMakeFiles
      COMMAND ${CMAKE_CXX_COMPILER} dummy.mm
      RESULT_VARIABLE result
      ERROR_QUIET
      OUTPUT_QUIET
      )
    file(REMOVE "${CMAKE_BINARY_DIR}/CMakeFiles/dummy.mm")

    if("${result}" STREQUAL "0")
        set(CMAKE_OBJCXX_AVAILABLE 1)
        message("-- ObjectiveC++ support is detected")
    endif()
endmacro()

project(Samples)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_COMPILER_IS_CLANGXX 1)
endif ()

if(MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4 /WX")
elseif(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic -Werror")
    set(CMAKE_CXX_VISIBILITY_PRESET hidden)
    set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
    checkObjCXX()
endif()

include_directories(${CMAKE_SOURCE_DIR}/../include)

file(GLOB_RECURSE PLOG_HEADERS ${CMAKE_SOURCE_DIR}/../include/*.h)
add_library(plog STATIC ${PLOG_HEADERS})
set_target_properties(plog PROPERTIES LINKER_LANGUAGE CXX)
set_target_properties(plog PROPERTIES FOLDER Include)

add_executable(Demo Demo/Main.cpp Demo/MyClass.h Demo/MyClass.cpp) 
set_target_properties(Demo PROPERTIES FOLDER Samples)

add_executable(MultiAppender MultiAppender/Main.cpp) 
set_target_properties(MultiAppender PROPERTIES FOLDER Samples)

add_executable(MultiInstance MultiInstance/Main.cpp) 
set_target_properties(MultiInstance PROPERTIES FOLDER Samples)

add_executable(Facilities Facilities/Main.cpp) 
set_target_properties(Facilities PROPERTIES FOLDER Samples)

add_executable(Hello Hello/Main.cpp) 
set_target_properties(Hello PROPERTIES FOLDER Samples)

add_executable(Performance Performance/Main.cpp) 
set_target_properties(Performance PROPERTIES FOLDER Samples)

add_executable(CustomConverter CustomConverter/Main.cpp) 
set_target_properties(CustomConverter PROPERTIES FOLDER Samples)

add_executable(CustomFormatter CustomFormatter/Main.cpp) 
set_target_properties(CustomFormatter PROPERTIES FOLDER Samples)

add_executable(CustomAppender CustomAppender/Main.cpp) 
set_target_properties(CustomAppender PROPERTIES FOLDER Samples)

add_executable(CustomType CustomType/Main.cpp) 
set_target_properties(CustomType PROPERTIES FOLDER Samples)

add_executable(ChainedApp Chained/ChainedApp/Main.cpp) 
set_target_properties(ChainedApp PROPERTIES FOLDER Samples/Chained)
target_link_libraries(ChainedApp ChainedLib)

add_library(ChainedLib SHARED Chained/ChainedLib/Main.cpp) 
set_target_properties(ChainedLib PROPERTIES FOLDER Samples/Chained)

if(CMAKE_OBJCXX_AVAILABLE AND NOT CMAKE_COMPILER_IS_CLANGXX)
    add_executable(ObjectiveC ObjectiveC/Main.mm)
    target_link_libraries(ObjectiveC objc)
else()
    add_custom_target(ObjectiveC SOURCES ObjectiveC/Main.mm)
endif()
set_target_properties(ObjectiveC PROPERTIES FOLDER Samples)

add_custom_target(Android SOURCES Android/jni/Sample.cpp) 
set_target_properties(Android PROPERTIES FOLDER Samples)

add_executable(LibraryApp Library/LibraryApp/Main.cpp) 
set_target_properties(LibraryApp PROPERTIES FOLDER Samples/Library)
target_link_libraries(LibraryApp LibraryLib)

add_library(LibraryLib STATIC Library/LibraryLib/Lib.cpp) 
set_target_properties(LibraryLib PROPERTIES FOLDER Samples/Library)

add_executable(ColorConsole ColorConsole/Main.cpp) 
set_target_properties(ColorConsole PROPERTIES FOLDER Samples)

=== debian/changelog ===
encryptpad (0.4.0.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * Build internal libraries, since libbotan-2-dev is not in upstream yet.
  * debian/control:
    - put in editors section, not misc.
    - comment out libbotan-2-dev build-dep.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 12 Feb 2018 15:30:12 -0800

encryptpad (0.3.2.5-0mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Sat, 21 Jan 2017 20:23:13 -0600

encryptpad (0.3.2.5-1~webupd8~yakkety1) yakkety; urgency=medium

  * New upstream release (beta)
  * Disabled encryptpad.patch (stlplus was updated from upstream
    to version 3.13)

 -- Alin Andrei <andrew@webupd8.org>  Mon, 16 Jan 2017 12:10:21 +0200

encryptpad (0.3.2.3-1~webupd8~yakkety1) yakkety; urgency=medium

  * New upstream release (beta)

 -- Alin Andrei <andrew@webupd8.org>  Fri, 02 Sep 2016 10:18:41 +0200

encryptpad (0.3.2.2-1~webupd8~xenial1) xenial; urgency=medium

  * Initial release

 -- Alin Andrei <andrew@webupd8.org>  Thu, 21 Jul 2016 13:20:54 +0200

=== debian/control ===
Source: encryptpad
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
# XSBC-Original-Maintainer: Alin Andrei <andrew@webupd8.org>
Section: editors
Priority: optional
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9),
               python, 
               pkg-config, 
#               libbotan-2-dev, 
               zlib1g-dev, 
               qt5-default
Homepage: https://github.com/evpo/EncryptPad

Package: encryptpad
Architecture: any
Section: editors
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: encryptcli
Description: Text editor with secure encryption features
 Minimalist secure text editor and binary encryptor that 
 implements RFC 4880 Open PGP format: symmetrically 
 encrypted, compressed and integrity protected. The editor
 can protect files with passwords, key files or both.

Package: encryptcli
Architecture: any
Section: editors
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CLI utility for EncryptPad
 EncryptPad Is a minimalist secure text editor and binary 
 encryptor that implements RFC 4880 Open PGP format: 
 symmetrically encrypted, compressed and integrity protected. 
 The editor can protect files with passwords, key files or 
 both.
 .
 This is the command line utility.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_build:
	./configure.sh --all

## encryptpad 0.5.0.2

=== deps/fakevim/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(fakevim VERSION 0.0.1)

# Library name
set(bin fakevim)

# Public headers
set(${bin}_public_headers
    fakevim/fakevimactions.h
    fakevim/fakevimhandler.h
    )

# Source files common for all platforms
set(${bin}_sources
    fakevim/fakevimactions.cpp
    fakevim/fakevimhandler.cpp
    fakevim/utils/hostosinfo.cpp
    fakevim/utils/osspecificaspects.h
    fakevim/utils/qtcassert.cpp
    ${${bin}_public_headers}
    )

# Required pkg-config packages
set(${bin}_pkg_config_requires)

include(cmake/cxx11.cmake)
include(cmake/library.cmake)
include(cmake/qt.cmake)
include(cmake/pkg-config.cmake)

add_definitions( -DQTCREATOR_UTILS_STATIC_LIB  )

# Files with Q_OBJECT macros to pass to moc utility
set(CMAKE_INCLUDE_CURRENT_DIR ON)
qt5_wrap_cpp(${bin}_mocced "fakevim/fakevimhandler.h")
# Generate moc file with correct file name.
qt5_generate_moc("fakevim/fakevimhandler.cpp" "fakevimhandler.moc")
target_sources(${bin} PRIVATE ${${bin}_mocced} "fakevimhandler.moc")

option(BUILD_TESTS "Build tests")
if (BUILD_TESTS)
    message(STATUS "Building tests")

    find_package(Qt5Test REQUIRED)

    add_executable(fakevim_test
        tests/fakevim_test.cpp
        tests/fakevimplugin.h
        example/editor.cpp
    )
    set_property(TARGET fakevim_test PROPERTY AUTOMOC ON)
    target_link_libraries(fakevim_test fakevim Qt5::Widgets Qt5::Test)

    target_include_directories(fakevim_test PRIVATE
        ${CMAKE_SOURCE_DIR}/fakevim
        ${CMAKE_SOURCE_DIR}
        )

    add_test(fakevim_test fakevim_test)
    enable_testing()
endif()

option(BUILD_EXAMPLE "Build example")
if (BUILD_EXAMPLE)
    message(STATUS "Building example")

    add_executable(fakevim_example example/main.cpp example/editor.cpp)
    set_property(TARGET fakevim_example PROPERTY AUTOMOC ON)

    target_link_libraries(fakevim_example fakevim)
    target_link_libraries(fakevim_example Qt5::Widgets)
endif()

=== deps/stlplus/Makefile ===
all build run clean tidy:
ifeq ($(MONOLITHIC),on)
	$(MAKE) -C source $@
else
	$(MAKE) -C portability $@
	$(MAKE) -C persistence $@
	$(MAKE) -C strings $@
	$(MAKE) -C subsystems $@
endif
ifneq ($(TESTS),off)
	@if [ -d tests ]; then $(MAKE) -C tests $@; fi
endif

=== src/back_end_src/Makefile ===
CRYPT_ROOT = ..
ifneq ($(USE_SYSTEM_LIBS),on)
	BOTAN = -I$(CRYPT_ROOT)/deps/botan/build/include
else
	BOTAN = $(shell pkg-config --cflags botan-2)
endif
LIBRARIES := ../deps/state_machine ../deps/stlplus/portability ../deps/stlplus/containers ../deps/botan_1_openpgp_codec
CXXFLAGS += -ggdb -Wall -Wextra
LDFLAGS += -Wall

CXXFLAGS += $(BOTAN) -I../deps/libencryptmsg/include -I../deps/plog/include -std=c++11
CXXFLAGS += -D_FILE_OFFSET_BITS=64
EXTERNAL_LIBRARY := on
EXTERNAL_SOURCES := on
-include ../build/back_end_src.mak
include ../deps/makefiles/gcc.mak

=== deps/fakevim/example/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)
project(fakevim_example)

find_package(fakevim REQUIRED)
find_package(Qt5Widgets REQUIRED)

set(bin fakevim_example)
add_executable(${bin} main.cpp editor.cpp)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
qt5_generate_moc("editor.cpp" "editor.moc")
target_sources(${bin} PRIVATE "editor.moc")

target_link_libraries(${bin} fakevim)
target_link_libraries(${bin} Qt5::Widgets)

=== deps/plog/samples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

if(POLICY CMP0063) #Honor visibility properties for all target types
    cmake_policy(SET CMP0063 NEW)
endif()

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

macro(checkObjCXX)
    file(WRITE "${CMAKE_BINARY_DIR}/CMakeFiles/dummy.mm" "int main(){return 0;}\n")
    execute_process(
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/CMakeFiles
        COMMAND ${CMAKE_CXX_COMPILER} dummy.mm
        RESULT_VARIABLE result
        ERROR_QUIET
        OUTPUT_QUIET
    )
    file(REMOVE "${CMAKE_BINARY_DIR}/CMakeFiles/dummy.mm")

    if("${result}" STREQUAL "0")
        set(CMAKE_OBJCXX_AVAILABLE 1)
        message("-- ObjectiveC++ support is detected")
    endif()
endmacro()

project(Samples)

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_COMPILER_IS_CLANGXX 1)
endif ()

if(MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4 /WX")
    string(REPLACE "/RTC1" "" CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
elseif(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wconversion -Wnon-virtual-dtor -Wundef -pedantic -Werror")
    set(CMAKE_CXX_VISIBILITY_PRESET hidden)
    set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
    checkObjCXX()
endif()

include_directories(${CMAKE_SOURCE_DIR}/../include)

file(GLOB_RECURSE PLOG_HEADERS ${CMAKE_SOURCE_DIR}/../include/*.h)
add_library(plog STATIC ${PLOG_HEADERS})
set_target_properties(plog PROPERTIES LINKER_LANGUAGE CXX)
set_target_properties(plog PROPERTIES FOLDER Include)

add_executable(Demo Demo/Main.cpp Demo/MyClass.h Demo/MyClass.cpp Demo/Customer.h)
set_target_properties(Demo PROPERTIES FOLDER Samples)

if(MSVC AND NOT (MSVC_VERSION LESS 1700)) # Visual Studio 2012 and higher
    add_executable(DemoManaged Demo/Main.cpp Demo/MyClass.h Demo/MyClass.cpp Demo/Customer.h)
    set_target_properties(DemoManaged PROPERTIES FOLDER Samples)
    set_property(TARGET DemoManaged PROPERTY COMPILE_FLAGS "/clr /EHa")
endif()

if(NOT WIN32)
    add_executable(DemoWchar Demo/Main.cpp Demo/MyClass.h Demo/MyClass.cpp Demo/Customer.h)
    set_target_properties(DemoWchar PROPERTIES FOLDER Samples)
    set_target_properties(DemoWchar PROPERTIES COMPILE_FLAGS "-DPLOG_ENABLE_WCHAR_INPUT=1")
    if(APPLE)
        target_link_libraries(DemoWchar -liconv)
    endif()
endif()

add_executable(MultiAppender MultiAppender/Main.cpp)
set_target_properties(MultiAppender PROPERTIES FOLDER Samples)

add_executable(MultiInstance MultiInstance/Main.cpp)
set_target_properties(MultiInstance PROPERTIES FOLDER Samples)

add_executable(Facilities Facilities/Main.cpp)
set_target_properties(Facilities PROPERTIES FOLDER Samples)

add_executable(Hello Hello/Main.cpp)
set_target_properties(Hello PROPERTIES FOLDER Samples)

add_executable(Performance Performance/Main.cpp)
set_target_properties(Performance PROPERTIES FOLDER Samples)

add_executable(CustomConverter CustomConverter/Main.cpp)
set_target_properties(CustomConverter PROPERTIES FOLDER Samples)

add_executable(CustomFormatter CustomFormatter/Main.cpp)
set_target_properties(CustomFormatter PROPERTIES FOLDER Samples)

add_executable(CustomAppender CustomAppender/Main.cpp)
set_target_properties(CustomAppender PROPERTIES FOLDER Samples)

add_executable(CustomType CustomType/Main.cpp)
set_target_properties(CustomType PROPERTIES FOLDER Samples)

# some systems have no shared libraries support, so check it
if(NOT DEFINED TARGET_SUPPORTS_SHARED_LIBS OR TARGET_SUPPORTS_SHARED_LIBS)
    add_executable(ChainedApp Chained/ChainedApp/Main.cpp)
    set_target_properties(ChainedApp PROPERTIES FOLDER Samples/Chained)
    target_link_libraries(ChainedApp ChainedLib)

    add_library(ChainedLib SHARED Chained/ChainedLib/Main.cpp)
    set_target_properties(ChainedLib PROPERTIES FOLDER Samples/Chained)
endif()

if(CMAKE_OBJCXX_AVAILABLE AND NOT CMAKE_COMPILER_IS_CLANGXX)
    add_executable(ObjectiveC ObjectiveC/Main.mm)
    target_link_libraries(ObjectiveC objc)
else()
    add_custom_target(ObjectiveC SOURCES ObjectiveC/Main.mm)
endif()
set_target_properties(ObjectiveC PROPERTIES FOLDER Samples)

add_custom_target(Android SOURCES Android/jni/Sample.cpp)
set_target_properties(Android PROPERTIES FOLDER Samples)

add_executable(LibraryApp Library/LibraryApp/Main.cpp)
set_target_properties(LibraryApp PROPERTIES FOLDER Samples/Library)
target_link_libraries(LibraryApp LibraryLib)

add_library(LibraryLib STATIC Library/LibraryLib/Lib.cpp)
set_target_properties(LibraryLib PROPERTIES FOLDER Samples/Library)

add_executable(ColorConsole ColorConsole/Main.cpp)
set_target_properties(ColorConsole PROPERTIES FOLDER Samples)

add_executable(NativeEOL NativeEOL/Main.cpp)
set_target_properties(NativeEOL PROPERTIES FOLDER Samples)

if(WIN32)
    add_executable(EventLog EventLog/Main.cpp)
    set_target_properties(EventLog PROPERTIES FOLDER Samples)

    add_executable(DebugOutput DebugOutput/Main.cpp)
    set_target_properties(DebugOutput PROPERTIES FOLDER Samples)
endif()

=== deps/stlplus/persistence/Makefile ===
# comment out the next line to exclude the portability/inf type and un-comment the following line
LIBRARIES += ../portability
#CPPFLAGS += -DNO_STLPLUS_INF

# comment out the next line to exclude the containers library and un-comment the following line
LIBRARIES += ../containers
#CPPFLAGS += -DNO_STLPLUS_CONTAINERS

include ../../makefiles/gcc.mak

=== deps/stlplus/portability/Makefile ===
LIBRARIES := 
CXXFLAGS += -D_FILE_OFFSET_BITS=64
include ../../makefiles/gcc.mak

=== deps/stlplus/source/Makefile ===
include ../../makefiles/gcc.mak

all:: stlplus3.hpp

clean::
	./unmake_monolithic

stlplus3.hpp:
	./make_monolithic
	$(MAKE)

=== deps/stlplus/strings/Makefile ===
# comment out the next line to exclude the portability/inf type and un-comment the following line
LIBRARIES := ../portability
#CPPFLAGS += -DNO_STLPLUS_INF

# comment out the next line to exclude the containers library and un-comment the following line
LIBRARIES += ../containers
#CPPFLAGS += -DNO_STLPLUS_CONTAINERS

include ../../makefiles/gcc.mak

=== deps/stlplus/subsystems/Makefile ===
LIBRARIES := ../portability ../containers
include ../../makefiles/gcc.mak

=== debian/changelog ===
encryptpad (0.5.0.2-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Jan 2023 16:31:26 -0800

encryptpad (0.5.0.2-0parrot1) parrot-updates; urgency=medium

  * New upstream version 0.5.0.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 05 Sep 2022 21:09:49 +0700

encryptpad (0.5.0.1-0parrot2) rolling; urgency=medium

  * Fix missing libbz2-dev during compile time

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 09 Jan 2022 01:20:10 +0700

encryptpad (0.5.0.1-0parrot1) rolling; urgency=medium

  * New upstream version 0.5.0.1

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 09 Jan 2022 01:16:13 +0700

encryptpad (0.5.0.0-0parrot1) rolling-testing; urgency=medium

  * Import new upstream release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 27 Jun 2020 13:18:40 +0200

encryptpad (0.4.0.4-parrot1) rolling-testing; urgency=medium

  * Initial release.

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 12 Jan 2020 08:03:33 +0700

=== debian/control ===
Source: encryptpad
Section: util
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Nong Hoang "dmknght" Tu <dmknght@parrotsec.org>,
           Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               libbotan-2-dev,
               libbz2-dev,
               pkg-config,
               python3,
               qtbase5-dev,
               zlib1g-dev
Standards-Version: 4.5.1
Homepage: https://github.com/evpo/EncryptPad
Vcs-Browser: https://nest.parrotsec.org/packages/tools/encryptpad
Vcs-Git: https://nest.parrotsec.org/packages/tools/encryptpad.git

Package: encryptpad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Text editor for password protecting and encrypting files
 Minimalist secure text editor and binary encryptor that
 implements RFC 4880 Open PGP format: symmetrically
 encrypted, compressed and integrity protected. The editor
 can protect files with passwords, key files or both.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --
override_dh_auto_configure:
	python3 configure.py

override_dh_auto_install:

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/encryptpad-$1\.tar\.gz/ \
  https://github.com/evpo/encryptpad/tags .*/v?(\d\S+)\.tar\.gz

## encryptpad 0.5.0.3

=== debian/changelog ===
encryptpad (0.5.0.3-1parrot1) stable; urgency=medium

  * New upstream version 0.5.0.3

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 21 Feb 2024 16:18:58 +0700

=== debian/control ===
Source: encryptpad
Section: misc
Priority: optional
Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Nong Hoang "dmknght" Tu <dmknght@parrotsec.org>,
           Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), python3, pkg-config, libbotan-2-dev, zlib1g-dev, qtbase5-dev, gcc, g++, make, libbz2-dev
Standards-Version: 4.5.1
Homepage: https://github.com/evpo/EncryptPad
Vcs-Browser: https://nest.parrotsec.org/packages/tools/encryptpad
Vcs-Git: https://nest.parrotsec.org/packages/tools/encryptpad.git

Package: encryptpad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Text editor for password protecting and encrypting files
 Minimalist secure text editor and binary encryptor that 
 implements RFC 4880 Open PGP format: symmetrically 
 encrypted, compressed and integrity protected. The editor
 can protect files with passwords, key files or both.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --
override_dh_auto_configure:
	python3 configure.py
override_dh_auto_install:


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
